Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008807 [DCSS] Bug Report minor always 2014-07-19 23:38 2014-11-27 05:36
Reporter Skrybe View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008807: Giving derived undead equipment in .des causes crash
Description I don't know if this is intentional, but placing derived undead that use equipment, e.g. MONS: human zombie ; long sword, causes a crash when the map is loaded, even though human zombies normally keep their equipment when raised.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026796)
neil (administrator)
2014-07-21 02:16
edited on: 2014-07-21 02:16

It was intentional, but it is now allowed in trunk (0.15-a0-2177-g8515cbe), thanks!

This doesn't do the check to prevent undead wielding ranged weapons or weapons of holy wrath, so you should be careful what you give them.


- Issue History
Date Modified Username Field Change
2014-07-19 23:38 Skrybe New Issue
2014-07-21 02:16 neil Note Added: 0026796
2014-07-21 02:16 neil Status new => resolved
2014-07-21 02:16 neil Fixed in Branch => 0.15 development branch
2014-07-21 02:16 neil Resolution open => done
2014-07-21 02:16 neil Assigned To => neil
2014-07-21 02:16 neil Note Edited: 0026796
2014-11-27 05:36 Skrybe Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker